Results 1 to 9 of 9

Thread: Compiz Fusion

  1. #1

    Default Compiz Fusion

    i am trying to install compiz fusion, i have removed using the rm -rf ~/.config/compiz command and i removed the rest using the software manager. now when i try to use the one click install, it gives me all kinds of errors with the dependencies, saying that it requires them, but cant get them. i dont know why and i almost have compiz working i believe. i have properly made sure all drivers and video acceleration is installed and working. i am using an Inspiron 1501 with openSuSE 11.1.

  2. #2
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Compiz Fusion

    Hi,

    Could you please post the errors that you're receiving?

    And also could you please open a terminal and provide the output of typing:

    Code:
    zypper lr --details
    Take Care,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  3. #3

    Default Re: Compiz Fusion

    the errors are along the lines of "Uninstallable providers" and then it has me pick from conflict resolutions.


    Code:
    zypper lr --details
    #  | Alias                    | Name                     | Enabled | Refresh | Priority | Type   | URI                        | Service
    ---+--------------------------+--------------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------------+--------
    1  | 11.1 - VideoLan          | 11.1 - VideoLan          | Yes     | Yes     | 99     | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/11.1/                        |
    2  | ATI Repository           | ATI Repository           | Yes     | Yes     | 99     | rpm-md | http://www2.ati.com/suse/11.1                        |
    3  | KDE:KDE4:Factory:Desktop | KDE:KDE4:Factory:Desktop | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/ |
    4  | X11:XGL                  | X11:XGL                  | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_11.1_KDE4_Factory/       |
    5  | devel:tools:building     | devel:tools:building     | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/building/openSUSE_11.1/      |
    6  | repo-debug               | openSUSE-11.1-Debug      | Yes     | Yes     |100     | yast2  | http://download.opensuse.org/debug/distribution/11.1/repo/oss/                       |
    7  | repo-non-oss             | openSUSE-11.1-Non-Oss    | Yes     | No      | 99     | yast2  | http://download.opensuse.org/distribution/11.1/repo/non-oss/                        |
    8  | repo-oss                 | openSUSE-11.1-Oss        | Yes     | No      | 99     | yast2  | http://download.opensuse.org/distribution/11.1/repo/oss/                        |
    9  | repo-source              | openSUSE-11.1-Source     | Yes     | Yes     |100     | yast2  | http://download.opensuse.org/source/distribution/11.1/repo/oss/                      |
    10 | repo-update              | openSUSE-11.1-Update     | Yes     | No      | 99     | rpm-md | http://download.opensuse.org/update/11.1/
    zypper lr --details
    #  | Alias                    | Name                     | Enabled | Refresh | Priority | Type   | URI                        | Service
    ---+--------------------------+--------------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------------+--------
    1  | 11.1 - VideoLan          | 11.1 - VideoLan          | Yes     | Yes     | 99     | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/11.1/                        |
    2  | ATI Repository           | ATI Repository           | Yes     | Yes     | 99     | rpm-md | http://www2.ati.com/suse/11.1                        |
    3  | KDE:KDE4:Factory:Desktop | KDE:KDE4:Factory:Desktop | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/ |
    4  | X11:XGL                  | X11:XGL                  | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_11.1_KDE4_Factory/       |
    5  | devel:tools:building     | devel:tools:building     | Yes     | Yes     | 99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/building/openSUSE_11.1/      |
    6  | repo-debug               | openSUSE-11.1-Debug      | Yes     | Yes     |100     | yast2  | http://download.opensuse.org/debug/distribution/11.1/repo/oss/                       |
    7  | repo-non-oss             | openSUSE-11.1-Non-Oss    | Yes     | No      | 99     | yast2  | http://download.opensuse.org/distribution/11.1/repo/non-oss/                        |
    8  | repo-oss                 | openSUSE-11.1-Oss        | Yes     | No      | 99     | yast2  | http://download.opensuse.org/distribution/11.1/repo/oss/                        |
    9  | repo-source              | openSUSE-11.1-Source     | Yes     | Yes     |100     | yast2  | http://download.opensuse.org/source/distribution/11.1/repo/oss/                      |
    10 | repo-update              | openSUSE-11.1-Update     | Yes     | No      | 99     | rpm-md | http://download.opensuse.org/update/11.1/

  4. #4
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Compiz Fusion

    Well your repositories look fine in relation to compiz-fusion. I'm not going to comment on your use of the Video Lan repository as you're not currently using the Packman repository.

    Could you please give us the exact errors that you're getting. There really shouldn't be any uninstallable packages since everything needed is in the X11 repository you have.

    Take Care,

    Ian

    P.S. I'm on my way to play soccer, if someone else doesn't help you out I'll be back in about an hour and a half.
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  5. #5

    Default Re: Compiz Fusion

    um, i dont know what video lan is, but the errors are in a conflict list

    Code:
    #### YaST2 conflicts list - generated 2009-07-13 18:16:04 ####
    
    python-compizconfig-0.8.2-2.37.x86_64 requires compiz = 0.8.2, but this requirement cannot be provided
    uninstallable providers: compiz-0.8.2-77.21.i586[X11:XGL]
                       compiz-0.8.2-78.1.x86_64[X11:XGL]
        [ ] Ignore some dependencies of python-compizconfig
    
        [ ] Following actions will be done:
    do not install python-compizconfig-0.8.2-2.37.x86_64
    do not install compizconfig-settings-manager-0.8.2-3.63.x86_64
        [ ] do not install compiz-0.7.8-11.14.x86_64
    
    
    
    compiz-kde4-0.7.8-11.14.x86_64 requires kwin, but this requirement cannot be provided
    uninstallable providers: kwin-4.2.96-289.1.x86_64[KDE:KDE4:Factory:Desktop]
                       kwin-4.2.96-289.1.i586[KDE:KDE4:Factory:Desktop]
        [ ] Ignore some dependencies of compiz-kde4
    
        [ ] do not install compiz-kde4-0.7.8-11.14.x86_64
    
        [ ] Following actions will be done:
    replacement of kde4-plasmoid-quicklauncher-0.4-4.17.x86_64 with kdebase4-workspace-4.2.96-289.1.x86_64
    replacement of kde4-kwin-4.1.3-10.1.x86_64 with kwin-4.2.96-289.1.x86_64
    replacement of powerdevil-1.4.1-4.4.x86_64 with kdebase4-workspace-4.2.96-289.1.x86_64
    install kdebase4-workspace-4.2.96-289.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    replacement of kde4-plasmoid-quickaccess-0.7.1-4.18.x86_64 with plasmoid-quickaccess-0.8.1-2.1.x86_64
    replacement of kde4-plasma-addons-4.1.3-5.16.x86_64 with plasma-addons-4.2.96-2.1.x86_64
    replacement of kde4-kget-4.1.3-4.11.x86_64 with kget-4.2.96-90.3.x86_64
    install kdebase4-4.2.96-96.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkdepimlibs4-4.2.96-97.2.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdebase4-nsplugin-4.2.96-96.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdepimlibs4-4.2.96-97.2.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    replacement of kde4-kdm-4.1.3-10.1.x86_64 with kdm-4.2.96-289.1.x86_64
    replacement of kde4-korganizer-4.1.3-3.11.x86_64 with korganizer-4.2.96-140.3.x86_64
    replacement of kde4-kopete-4.1.3-4.11.x86_64 with kopete-4.2.96-90.3.x86_64
    replacement of kde4-knotes-4.1.3-3.11.x86_64 with knotes-4.2.96-140.3.x86_64
    replacement of kde4-kmail-4.1.3-3.11.x86_64 with kmail-4.2.96-140.3.x86_64
    replacement of kde4-kaddressbook-4.1.3-3.11.x86_64 with kaddressbook-4.2.96-140.3.x86_64
    replacement of kde4-akregator-4.1.3-3.11.x86_64 with akregator-4.2.96-140.3.x86_64
    install kdebase4-runtime-4.2.96-120.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install skanlite-0.3.kde4.2.4-19.22.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install ktorrent-3.2.2-31.8.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdepim4-wizards-4.2.96-140.3.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdepim4-4.2.96-140.3.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdenetwork4-filesharing-4.2.96-90.3.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kde4-kgreeter-plugins-4.2.96-289.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdeartwork4-screensaver-4.2.96-48.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    replacement of kde4-okular-4.1.3-4.6.x86_64 with okular-4.2.96-105.3.x86_64
    replacement of kde4-kwrite-4.1.3-3.5.x86_64 with kwrite-4.2.96-96.1.x86_64
    replacement of kde4-kwalletmanager-4.1.3-2.9.x86_64 with kwalletmanager-4.2.96-73.1.x86_64
    replacement of kde4-ksudoku-4.1.3-3.9.x86_64 with ksudoku-4.2.96-72.3.x86_64
    replacement of kde4-ksnapshot-4.1.3-4.6.x86_64 with ksnapshot-4.2.96-105.3.x86_64
    replacement of kde4-kscd-4.1.3-4.11.x86_64 with kscd-4.2.96-62.4.x86_64
    replacement of kde4-krfb-4.1.3-4.11.x86_64 with krfb-4.2.96-90.3.x86_64
    replacement of kde4-kreversi-4.1.3-3.9.x86_64 with kreversi-4.2.96-72.3.x86_64
    replacement of kde4-krdc-4.1.3-4.11.x86_64 with krdc-4.2.96-90.3.x86_64
    replacement of kde4-kpat-4.1.3-3.9.x86_64 with kpat-4.2.96-72.3.x86_64
    replacement of kde4-kontact-4.1.3-3.11.x86_64 with kontact-4.2.96-140.3.x86_64
    replacement of kde4-konsole-4.1.3-3.5.x86_64 with konsole-4.2.96-96.1.x86_64
    replacement of kde4-konqueror-plugins-4.1.3-2.8.x86_64 with konqueror-plugins-4.2.4-2.2.x86_64
    replacement of kde4-konqueror-4.1.3-3.5.x86_64 with konqueror-4.2.96-96.1.x86_64
    replacement of kde4-kmix-4.1.3-4.11.x86_64 with kmix-4.2.96-62.4.x86_64
    replacement of kde4-kmines-4.1.3-3.9.x86_64 with kmines-4.2.96-72.3.x86_64
    replacement of kde4-kmahjongg-4.1.3-3.9.x86_64 with kmahjongg-4.2.96-72.3.x86_64
    replacement of kde4-kio_sysinfo-11.1-66.4.x86_64 with kio_sysinfo-11.1.2-68.4.x86_64
    replacement of kde4-kio_kamera-4.1.3-4.6.x86_64 with kio_kamera-4.2.96-105.3.x86_64
    replacement of kde4-kio_audiocd-4.1.3-4.11.x86_64 with kio_audiocd-4.2.96-62.4.x86_64
    replacement of kde4-kgpg-4.1.3-2.9.x86_64 with kgpg-4.2.96-73.1.x86_64
    replacement of kde4-kgamma-4.1.3-4.6.x86_64 with kgamma-4.2.96-105.3.x86_64
    replacement of kde4-kfind-4.1.3-3.5.x86_64 with kfind-4.2.96-96.1.x86_64
    replacement of kde4-keditbookmarks-4.1.3-3.5.x86_64 with keditbookmarks-4.2.96-96.1.x86_64
    replacement of kde4-kdnssd-4.1.3-4.11.x86_64 with kdnssd-4.2.96-90.3.x86_64
    replacement of kde4-kcolorchooser-4.1.3-4.6.x86_64 with kcolorchooser-4.2.96-105.3.x86_64
    replacement of kde4-kcalc-4.1.3-2.9.x86_64 with kcalc-4.2.96-73.1.x86_64
    replacement of kde4-gwenview-4.1.3-4.6.x86_64 with gwenview-4.2.96-105.3.x86_64
    replacement of kde4-dolphin-4.1.3-3.5.x86_64 with dolphin-4.2.96-96.1.x86_64
    replacement of kde4-ark-4.1.3-2.9.x86_64 with ark-4.2.96-73.1.x86_64
    install PolicyKit-kde-0.2-20.100.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install oxygen-icon-theme-4.2.96-25.1.noarch (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkdepim4-4.2.96-140.3.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdegames4-carddecks-default-4.2.96-70.1.noarch (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkdegames4-4.2.96-72.3.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libical0-0.43-2.5.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkcddb4-4.2.96-62.4.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkcompactdisc4-4.2.96-62.4.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdebase4-libkonq-4.2.96-96.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install kdebase4-workspace-ksysguardd-4.2.96-289.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    install libkonq5-4.2.96-96.1.x86_64 (with vendor change)
      openSUSE
    -->
      openSUSE Build Service
    
    
    
    #### YaST2 conflicts list END ###

  6. #6
    Join Date
    Jun 2008
    Location
    Kansas City, MO
    Posts
    570

    Default Re: Compiz Fusion

    heres what i would do
    [X] Following actions will be done:
    do not install python-compizconfig-0.8.2-2.37.x86_64
    do not install compizconfig-settings-manager-0.8.2-3.63.x86_64
    [ ] do not install compiz-0.7.8-11.14.x86_64

    [X] Following actions will be done:
    replacement of kde4-plasmoid-quicklauncher-0.4-4.17.x86_64 with kdebase4-workspace-4.2.96-289.1.x86_64
    replacement of kde4-kwin-4.1.3-10.1.x86_64 with kwin-4.2.96-289.1.x86_64
    replacement of powerdevil-1.4.1-4.4.x86_64 with kdebase4-workspace-4.2.96-289.1.x86_64
    install kdebase4-workspace-4.2.96-289.1.x86_64 (with vendor change)

  7. #7

    Default Re: Compiz Fusion

    ok, i will attempt it and get back to you guys

  8. #8
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: Compiz Fusion

    @dzlockhead: I'd be really interested if YOU have the "fusion-icon". I gave up on it some time ago since I wasn't able to run the whole application without it...
    CHECK OUT THESE GitHub PROJECTS!

    https://secupwn.github.io/Android-IMSI-Catcher-Detector/
    https://github.com/SecUpwN/Spotify-AdKiller

  9. #9

    Default Re: Compiz Fusion

    anybody who can help, i cant continue fixing this, i have a more pressing issue. All heck breaks loose - pidgin - openSUSE Forums

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •